Skip to main content
GET
/
accounting
/
asyncTask
/
{taskId}
cURL
curl --request GET \
  --url https://api.maesn.dev/accounting/asyncTask/{taskId} \
  --header 'X-ACCOUNT-KEY: <x-account-key>' \
  --header 'X-API-KEY: <x-api-key>'
{
  "meta": {
    "warnings": [
      "Field not used by target system"
    ],
    "pagination": {
      "total": 125,
      "perPage": 50,
      "currentPage": 1,
      "totalPages": 3
    }
  },
  "data": {
    "status": "SUCCESS",
    "information": [
      {
        "filename": "Invoice_V30",
        "message": "The document has been received.",
        "timestamp": "2021-01-01T00:00:00Z",
        "type": "information"
      }
    ],
    "responseData": {
      "id": "c1f85763-5be6-ee11-a201-6045bde98d28",
      "code": "9012",
      "createdDate": "2021-01-01T00:00:00Z",
      "contactId": "eaa28f49-6028-4b6e-bb12-d8f6278073fc",
      "currency": "EUR",
      "description": "Service and Maintenance Project",
      "endDate": "2021-01-01T00:00:00Z",
      "name": "Service und Unterhalt",
      "parentProjectId": "e587bs49-5be6-ee11-a201-6045bde98d28",
      "status": "ACTIVE",
      "startDate": "2021-01-01T00:00:00Z",
      "updatedDate": "2021-01-01T00:00:00Z"
    }
  }
}

Field support per integration

Please ensure the parameter taskId is accurately populated with the appropriate task ID. You can obtain this value by executing an asynchronous POST request.For more info about asynchronous tasks visit the Asynchronous Task section.
Support rawData: false
Supported Response Fields:
status
enum
Available options: IN_PROGRESS, FINISHED
information
InformationResponseDto[]
responseData
object
If any response data is returned after the request is finished, you will find it here.
Please ensure the parameter taskId is accurately populated with the appropriate task ID. You can obtain this value by executing an asynchronous POST request.For more info about asynchronous tasks visit the Asynchronous Task section.
If you’re not using the Interactive Authentication Flow, make sure the query parameter companyId is accurately populated with the appropriate company ID. You can obtain this value by using the GET Companies endpoint available under the Authentication section.
Support rawData: false
Supported Response Fields:
status
enum
Available options:OPEN, IN_PROGRESS, SUCCESS, FAILED, PARTIAL_SUCCESS, CANCELLED_SUCCESSFULLY,CANCEL_FAILED
information
InformationResponseDto[]
Please ensure the parameter taskId is accurately populated with the appropriate task ID. You can obtain this value by executing an asynchronous POST or GET request.For more info about asynchronous tasks visit the Asynchronous Task section.
If you’re not using the Interactive Authentication Flow, make sure the query parameter companyId is accurately populated with the appropriate company ID. You can obtain this value by using the GET Companies endpoint available under the Authentication section.
The pagination is only supported for asynchronous GET requests. Only page parameter is accepted. The limit is 50000 entries per page and cannot be modified.
Support rawData: falseSupport pagination: true
Supported Response Fields:
status
enum
Available options:SUCCESS, IN_PROGRESS, FINISHED, FAILED, DELETED
information
InformationResponseDto[]
responseData
object
If any response data is returned after the request is finished, you will find it here.

Headers

X-API-KEY
string
required

API key

X-ACCOUNT-KEY
string
required

Account key

Path Parameters

taskId
string
required

Query Parameters

page
number
companyId
string

Response

200 - application/json
meta
object
data
object
Last modified on March 20, 2026